Loading...
Searching...
No Matches
PyMultiZoneDynamicNetworkSolver Class Referencefinal

`#include <py_solver.h>`

Inheritance diagram for PyMultiZoneDynamicNetworkSolver:
[legend]
Collaboration diagram for PyMultiZoneDynamicNetworkSolver:
[legend]

## Public Member Functions

| PyMultiZoneDynamicNetworkSolver (const gridfire::engine::DynamicEngine &engine, const gridfire::solver::SingleZoneDynamicNetworkSolver &local_solver)
std::vector< gridfire::NetOut > | evaluate (gridfire::solver::SolverContextBase &solver_ctx, const std::vector< gridfire::NetIn > &netIns) const override
Public Member Functions inherited from gridfire::solver::MultiZoneNetworkSolver< engine::DynamicEngine >
| MultiZoneNetworkSolver (const EngineT &engine, const SingleZoneNetworkSolver< EngineT > &solver)
virtual | ~MultiZoneNetworkSolver ()=default
| MultiZoneNetworkSolver (const EngineT &engine, const SingleZoneNetworkSolver< EngineT > &solver)
virtual | ~MultiZoneNetworkSolver ()=default

## Additional Inherited Members

Protected Attributes inherited from gridfire::solver::MultiZoneNetworkSolver< engine::DynamicEngine >
const EngineT & | m_engine
| The engine used by this solver strategy.
const SingleZoneNetworkSolver< EngineT > & | m_solver
const EngineT & | m_engine
| The engine used by this solver strategy.
const SingleZoneNetworkSolver< EngineT > & | m_solver

## Constructor & Destructor Documentation

## PyMultiZoneDynamicNetworkSolver()

PyMultiZoneDynamicNetworkSolver::PyMultiZoneDynamicNetworkSolver | ( | const gridfire::engine::DynamicEngine & | engine,
|  | const gridfire::solver::SingleZoneDynamicNetworkSolver & | local_solver )

inlineexplicit

## Member Function Documentation

## evaluate()

std::vector< gridfire::NetOut > PyMultiZoneDynamicNetworkSolver::evaluate | ( | gridfire::solver::SolverContextBase & | solver_ctx,
|  | const std::vector< gridfire::NetIn > & | netIns ) const

overridevirtual

Implements gridfire::solver::MultiZoneNetworkSolver< engine::DynamicEngine >.

The documentation for this class was generated from the following files:

- src/python/solver/trampoline/py_solver.h
- src/python/solver/trampoline/py_solver.cpp